Bug 256209 - Remove: security/openvpn-devel
Summary: Remove: security/openvpn-devel
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Matthias Andree
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-27 23:38 UTC by Eric F Crist
Modified: 2021-05-29 10:56 UTC (History)
4 users (show)

See Also:
ecrist: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eric F Crist 2021-05-27 23:38:52 UTC
Please remove this port.
Comment 1 Nuno Teixeira freebsd_committer 2021-05-28 06:45:21 UTC
Whats the reason to remove this port?
Comment 2 Matthias Andree freebsd_committer 2021-05-29 08:34:51 UTC
Nuno, there's something going on behind the scenes that might result in a new maintainer and migrating this port to use Git snapshots.
Comment 3 commit-hook freebsd_committer 2021-05-29 10:52:01 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=9364842b3b08f9eaa49bf80c7c14550c2689ab7f

commit 9364842b3b08f9eaa49bf80c7c14550c2689ab7f
Author:     Matthias Andree <mandree@FreeBSD.org>
AuthorDate: 2021-05-29 09:48:46 +0000
Commit:     Matthias Andree <mandree@FreeBSD.org>
CommitDate: 2021-05-29 10:51:00 +0000

    security/openvpn-devel: switch to Gitlab and new maintainer

    The previous maintainer asked that the port be removed, but
    we seem to have found a better solution. Gert Doering volunteered
    to take over the port and reference Git directly.

    Import security/openvpn fix for leftover .orig files.

    PR:             256209
    Maintainer change implicitly
    Approved by:    ecrist@secure-computing.net (removal request)
    New contents reviewed and
    Approved by:    gert@greenie.muc.de (new maintainer, by IRC/mail)

 security/openvpn-devel/Makefile                    | 122 +++++++++++----------
 security/openvpn-devel/distinfo                    |   6 +-
 .../patch-src_openvpn_openssl__compat.h (gone)     |  20 ----
 3 files changed, 68 insertions(+), 80 deletions(-)
Comment 4 commit-hook freebsd_committer 2021-05-29 10:56:03 UTC
A commit in branch 2021Q2 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=e29840cb4261abfd9a5aaeda433466f23d920636

commit e29840cb4261abfd9a5aaeda433466f23d920636
Author:     Matthias Andree <mandree@FreeBSD.org>
AuthorDate: 2021-05-29 09:48:46 +0000
Commit:     Matthias Andree <mandree@FreeBSD.org>
CommitDate: 2021-05-29 10:55:23 +0000

    security/openvpn-devel: switch to Gitlab and new maintainer

    The previous maintainer asked that the port be removed, but
    we seem to have found a better solution. Gert Doering volunteered
    to take over the port and reference Git directly.

    Import security/openvpn fix for leftover .orig files.

    PR:             256209
    Maintainer change implicitly
    Approved by:    ecrist@secure-computing.net (removal request)
    New contents reviewed and
    Approved by:    gert@greenie.muc.de (new maintainer, by IRC/mail)

    MFH because original port no longer fetchable, Eric F. Crist
    removed his download files.

    (cherry picked from commit 9364842b3b08f9eaa49bf80c7c14550c2689ab7f)

 security/openvpn-devel/Makefile                    | 122 +++++++++++----------
 security/openvpn-devel/distinfo                    |   6 +-
 .../patch-src_openvpn_openssl__compat.h (gone)     |  20 ----
 3 files changed, 68 insertions(+), 80 deletions(-)